digiKam Developer Documentation: Digikam::SharedLoadingTask Class Reference

| digiKam Developer Documentation Professional Photo Management with the Power of Open Source

Loading...
Searching...
No Matches
Public Member Functions | Protected Attributes | List of all members
Digikam::SharedLoadingTask Class Reference
Inheritance diagram for Digikam::SharedLoadingTask:

## Public Member Functions
| SharedLoadingTask (LoadSaveThread *const thread, const LoadingDescription &description, LoadSaveThread::AccessMode mode=LoadSaveThread::AccessModeReadWrite, LoadingTaskStatus loadingTaskStatus=LoadingTaskStatusLoading)
LoadSaveThread::AccessMode | accessMode () const override
void | addListener (LoadingProcessListener *const listener) override
QString | cacheKey () const override
bool | comparePostProcessing (DImg *const img) const
bool | completed () const override
void | execute () override
DImg | img () const
LoadSaveNotifier * | loadSaveNotifier () const override
bool | needsPostProcessing () const
void | notifyNewLoadingProcess (LoadingProcess *const process, const LoadingDescription &description) override
virtual void | postProcess ()
void | progressInfo (float progress) override
bool | querySendNotifyEvent () const override
void | removeListener (LoadingProcessListener *const listener) override
void | setResult (const LoadingDescription &loadingDescription, const DImg &img) override
Public Member Functions inherited from Digikam::LoadingTask
| LoadingTask (LoadSaveThread *const thread, const LoadingDescription &description, LoadingTaskStatus loadingTaskStatus=LoadingTaskStatusLoading)
bool | continueQuery () override
QString | filePath () const
const LoadingDescription & | loadingDescription () const
void | setStatus (LoadingTaskStatus status)
LoadingTaskStatus | status () const
TaskType | type () override
Public Member Functions inherited from Digikam::LoadSaveTask
| LoadSaveTask (LoadSaveThread *const thread)
Public Member Functions inherited from Digikam::DImgLoaderObserver
virtual float | granularity ()

## Protected Attributes
LoadSaveThread::AccessMode | m_accessMode = LoadSaveThread::AccessModeReadWrite
volatile bool | m_completed = false
DImg | m_img
QList< LoadingProcessListener * > | m_listeners
Protected Attributes inherited from Digikam::LoadingTask
LoadingDescription | m_loadingDescription
volatile LoadingTaskStatus | m_loadingTaskStatus = LoadingTaskStatusLoading
Protected Attributes inherited from Digikam::LoadSaveTask
LoadSaveThread * | m_thread = nullptr

## Additional Inherited Members
Public Types inherited from Digikam::LoadingTask
enum | LoadingTaskStatus { LoadingTaskStatusLoading , LoadingTaskStatusPreloading , LoadingTaskStatusStopping }
Public Types inherited from Digikam::LoadSaveTask
enum | TaskType { TaskTypeLoading , TaskTypeSaving }

## Member Function Documentation

## ◆ accessMode()

LoadSaveThread::AccessMode Digikam::SharedLoadingTask::accessMode | ( |  | ) | const
| overridevirtual

Implements Digikam::LoadingProcessListener.

## ◆ addListener()

void Digikam::SharedLoadingTask::addListener | ( | LoadingProcessListener *const | listener | ) |
| overridevirtual

Implements Digikam::LoadingProcess.

## ◆ cacheKey()

QString Digikam::SharedLoadingTask::cacheKey | ( |  | ) | const
| overridevirtual

Implements Digikam::LoadingProcess.

## ◆ completed()

bool Digikam::SharedLoadingTask::completed | ( |  | ) | const
| overridevirtual

Implements Digikam::LoadingProcess.

## ◆ execute()

void Digikam::SharedLoadingTask::execute | ( |  | ) |
| overridevirtual

Reimplemented from Digikam::LoadingTask.

## ◆ loadSaveNotifier()

LoadSaveNotifier * Digikam::SharedLoadingTask::loadSaveNotifier | ( |  | ) | const
| overridevirtual

Implements Digikam::LoadingProcessListener.

## ◆ notifyNewLoadingProcess()

void Digikam::SharedLoadingTask::notifyNewLoadingProcess | ( | LoadingProcess *const | process,
|  | const LoadingDescription & | description
| ) |  |
| overridevirtual

Implements Digikam::LoadingProcess.

## ◆ progressInfo()

void Digikam::SharedLoadingTask::progressInfo | ( | float | progress | ) |
| overridevirtual

Reimplemented from Digikam::LoadingTask.

## ◆ querySendNotifyEvent()

bool Digikam::SharedLoadingTask::querySendNotifyEvent | ( |  | ) | const
| overridevirtual

Implements Digikam::LoadingProcessListener.

## ◆ removeListener()

void Digikam::SharedLoadingTask::removeListener | ( | LoadingProcessListener *const | listener | ) |
| overridevirtual

Implements Digikam::LoadingProcess.

## ◆ setResult()

void Digikam::SharedLoadingTask::setResult | ( | const LoadingDescription & | loadingDescription,
|  | const DImg & | img
| ) |  |
| overridevirtual

Implements Digikam::LoadingProcessListener.